
# David - 3.0-0.beta1-7mdk - Define if we build a stable release or not
#                            0 = stable - For final releases
#                            1 = unstable - For beta releases or for Cooker
%if %mdkversion == 200600
%define unstable 0
%else
%define unstable 0
%endif

%define disable_visibility 0


%define __libtoolize    /bin/true
%define epoch_arts 30000001

# QTDIR is always /usr/lib/qt3, whether that's a lib64 architecture or
# not (sublibdirs are correctly qualified in the latter case however).
%define qtdir	%{_prefix}/lib/qt3

# Define short-cuts for libification
%define major	1

%if %mdkversion >= 920
%define libname	%mklibname arts %{major}
%else
%define libname libarts%{major}
%endif

%define lib_name_orig libarts

%define use_enable_final 1

Name:		arts
Summary:	Arts - Libraries
Version:    1.4.2
Release:    2.1.20060mdk
Epoch:      %{epoch_arts}
Group:		Graphical desktop/KDE
License:	ARTISTIC BSD GPL_V2 LGPL_V2 QPL_V1.0
Packager:	Mandrake Linux KDE Team <kde@mandriva.com>
BuildRoot:	%_tmppath/%name-%version-%release-root
PreReq:		%{libname} = %{epoch_arts}:%version-%release

URL:		ftp://ftp.kde.org/pub/kde/stable/%version/src/

Source:     	ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.bz2


Patch1:		arts-fix-test-glib.patch.bz2
Patch2:		arts-1.1.4-64bit-fixes.patch.bz2
Patch3:		arts-1.1.3-stdargs.patch.bz2
Patch4:		arts-1.1.4-lib64.patch.bz2

Patch5:		kdelibs-3.2-remove-rpath.patch.bz2
Patch6:		arts-1.2.x.diff


Patch5000:	arts-fix-automake-autoconf.patch.bz2


%if %mdkversion >= 920
BuildRequires: png-devel, jpeg-devel, mng-devel, audiofile-devel
BuildRequires: qt3-devel, glib2-devel, alsa-lib-devel
%else
BuildRequires: libpng3-devel libMesaGLU1
BuildRequires: gawk gcc-cpp libtermcap2 zlib1 XFree86-devel XFree86-libs
BuildRequires: XFree86-static-libs diffutils gcc-c++ libjpeg62-devel
BuildRequires: libbinutils2 libbzip2_1 freetype2 libjpeg62 libmng1
BuildRequires: libstdc++-devel  libqt3-devel libqt3
BuildRequires:  libaudiofile-devel libalsa-devel libglib2.0_0-devel
%endif

Obsoletes:	aethera =< 0.9.3-5mdk, brahms =< 1.02-3mdk, dotNETStyle =< 0.9.2-2mdk , drivetweak-kde- =< 0.9.1-1mdk , guarddog =< 1.9.14-1mdk
Obsoletes:  k3b =< 0.5.1-2mdk, karchiver =< 2.0.5-3mdk, kdestudio =< 2.0.0-10mdk , kdevmon =< 0.4.5-2mdk, keduca =< 0.4-6mdk, keurocalc =< 0.5.8-1mdk
Obsoletes:  kfontinst =< 0.10-1mdk, kgesture =< 0.3-6mdk, kguitar =< 0.4-2mdk , kinkatta =< 1.00-1mdk, kmag =< 0.7-1mdk, kmymoney2 =< 0.4-1mdk, knetfilter =< 2.2.5-1mdk , komba2 =< 0.72-1mdk , koncd =< 1.0rc2-2mdk, konnector =< 0.5-4mdk
Obsoletes:	konverse =< 0.2-3mdk, kover =< 0.8.3-2mdk, kreatecd =< 1.1.0-2mdk, krpmbuilder =< 0.2.6-4mdk, krusader =< 1.01-1mdk, kshowmail =< 2.2.3-1mdk, ksnuffle =< 2.2-6mdk, ksplashml =< 0.92-1mdk, kstars =< 0.8.5-1mdk, kstocks =< 2.0.2-8mdk, ktexmaker2 =< 1.7-2mdk, ktouch =< 1.0-4mdk, kuickshow =< 0.8.2-3mdk
Obsoletes:  kwatch =< 2.2.0-1mdk, kwave =< 0.6.3-3mdk, kwintv =< 0.8.11-5mdk, kxicq2 =< 0.7.6-1mdk, kxmleditor =< 0.7.1-2mdk, libbrahms0 =< 1.02-3mdk, libkarchiver2 =< 2.0.5-3mdk, libkguitar1 =< 0.4-2mdk, libxmms-kde1 =< 6.5-5mdk, sakuraplayer =< 1.0.6-1mdk umlmodeller =< 1.0.3-5mdk , cervisia =< 1.4.1-7mdk, kbiff =< 3.5.4-3mdk
Obsoletes:  kcpuload =< 1.90-11mdk, kdbg =< 1.2.5-1mdk, kdeaddons3, kdeadmin3, kdeartwork3, kdebase3, kdebase3-nsplugins, kdebase3-devel, kdebindings3, kdegames3, kdegraphics3, kdemultimedia3, kdemultimedia3-aktion, kdenetwork3, kdepim3, kdesdk3, kdetoys3, kdeutils3, kdevelop3, klogic =< 1.35-1mdk, klyx =< 2.0-17mdk, kmago =< 1.1.2-5mdk, knetload =< 1.91-8mdk, koffice =< 1.1.1-14mdk, kpl2 =< 2.3.0-1mdk, krootwarning =< 8.2-13mdk, krozat =< 8.2-13mdk, ksetiwatch =< 2.2.5-1mdk, ktelnet =< 0.7b1-13mdk, kvirc =< 2.1.1-5mdk, libqt2-devel =< 2.3.1-29mdk, licq-kde =< 1.0.4-2mdk, qt2-designer =< 2.3.1-29mdk, qtrans =< 0.1.1-7mdk, quanta =< 2.0.1-2mdk



Obsoletes:	kdelibs-sound 

Obsoletes:  arts3
Provides:	arts3 = %{epoch_arts}:%version-%release

%if %mdkversion >= 920
Obsoletes:	%{libname}-static-devel
%endif


%if %mdkversion >= 920
BuildRequires: automake1.7 
%endif

BuildRequires:	autoconf2.5

BuildRequires:	multiarch-utils >= 1.0.3

BuildConflicts:	mas-devel

%if %mdkversion >= 1010
BuildRequires:	jackit-devel
Requires:   alsa-lib >= 1.0.5-2mdk
%endif

%description
aRts is a short form for "analog realtime synthesizer". The idea of the whole 
thing is to create/process sound using small modules which do certain tasks. 
These may be create a waveform (oscillators), play samples, filter data, add 
signals, perform effects like delay/flanger/chorus, or output the data to the   
soundcard.


%package -n %{libname}
Group:		Graphical desktop/KDE
Summary:	The libraries for arts 

Obsoletes:  libarts2, libarts3
Provides:   libarts2, libarts3
Provides:	libarts = %{epoch_arts}:%version-%release
Provides:   %lib_name_orig = %{epoch_arts}:%version-%release

%if %mdkversion >= 920
Obsoletes:	libarts
%endif

%description -n %{libname}
Libraries needed for arts.


%package -n %{libname}-devel 
Group:		Development/KDE and Qt
Summary:	Development files for arts
Requires:		%{libname} = %{epoch_arts}:%version-%release
%if %mdkversion >= 920
Obsoletes:  libarts-devel
%endif

Obsoletes:	libarts2-devel, libarts3-devel
Provides:	libarts2-devel = %{epoch_arts}:%version-%release
Provides:	libarts3-devel = %{epoch_arts}:%version-%release
Provides:   %lib_name_orig-devel = %{epoch_arts}:%version-%release
%if %mdkversion >= 920
Provides:	arts-devel, libarts-devel
%endif
Conflicts:	arts <= %epoch_arts:1.3.1-5mdk


%description -n %{libname}-devel

Development libraries for arts.


%package -n  %{libname}-static-devel
Group:         Development/KDE and Qt
Summary:       Static library files for arts
Requires:      %{libname} = %{epoch_arts}:%version-%release
%if %mdkversion >= 920
Obsoletes:  libarts-static-devel
%endif



%description -n %{libname}-static-devel
Static development libraries for arts.

%prep
%setup -q
#%patch1 -p1

%patch2 -p1 -b .64bit-fixes
# FIXME
#%patch3 -p1 -b .stdargs
%patch4 -p1 -b .lib64

#%patch5000 -p1

%patch5 -p1 -b .fix_remove_rpath
%patch6 -p0 -b .cve-2006-2916

%if %disable_visibility
%patch5001 -p0 -b .disable_visibility
%endif

%build
make -f admin/Makefile.common cvs


QTDIR=%qtdir
export LD_LIBRARY_PATH=$QTDIR/%_lib:$LD_LIBRARY_PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

# Update config.{sub,guess} to recognize amd64-*
%{?__cputoolize: %{__cputoolize}}

CFLAGS="%optflags" CXXFLAGS="%optflags" \
        %configure  --build=%_target_platform \
                    --host=%_target_platform \
					--enable-new-ldflags \
					--with-pic \
%if %unstable
            --enable-debug=full \
%endif
                    --enable-shared \
                    --enable-fast-install=yes \
%if %use_enable_final
                    --enable-final \
%else
                    --disable-final \
%endif
                    --disable-embedded \
                    --disable-palmtop \
                    --disable-rpath \
                    --enable-mitshm \
                     --enable-arts-gsl \
                    --enable-cups \
                    --disable-libfam \
                    --enable-pcre \
                    --with-gnu-ld \
                    --with-pic \
                    --with-xinerama \
                    --with-distribution="Mandrake Linux Cooker %_target_cpu - Cooker" \
                    --with-alsa \
                    --with-ipv6-lookup=auto \
                    --x-includes=/usr/X11R6/include \
                    --x-libraries=/usr/X11R6/%_lib


%make



%install
rm -fr %buildroot

# David - 3.0-0.beta1-7mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif


%makeinstall_std
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/artsc-config

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig



%clean
rm -fr %buildroot


%files
%defattr(-,root,root,-)
#
#
#
# David - 3.0-0.beta1.7mdk - Owned these directories is needed as long as we
#                            install KDE 3 in /opt/kde3/. We need to don't them
#                            when we will install it in /usr/
%_bindir/artscat
%_bindir/artsd    
%_bindir/artsplay  
%_bindir/artsshell    
%_bindir/artsdsp  
%_bindir/artsrec   
%_bindir/artswrapper


%files -n %{libname}
%defattr(-,root,root,-)
%_libdir/libartsc.la
%_libdir/libartscbackend.la
%_libdir/libartsdsp.la
%_libdir/libartsflow.la
%_libdir/libartsflow_idl.la
%_libdir/libartswavplayobject.la
%_libdir/libkmedia2.la
%_libdir/libkmedia2_idl.la
%_libdir/libsoundserver_idl.la
%_libdir/libmcop.la
%_libdir/libmcop_mt.la
%_libdir/libartsdsp_st.la
%_libdir/libqtmcop.la
%_libdir/libx11globalcomm.la
%_libdir/libgmcop.la
%_libdir/libartsgslplayobject.la
#
%_libdir/libartsc.so.*
%_libdir/libartscbackend.so.*
%_libdir/libartsdsp.so.*
%_libdir/libartsflow.so.*
%_libdir/libartsflow_idl.so.*
%_libdir/libartswavplayobject.so.*
%_libdir/libkmedia2.so.*
%_libdir/libkmedia2_idl.so.*
%_libdir/libsoundserver_idl.so.*
%_libdir/libmcop.so.*
%_libdir/libmcop_mt.so.*
%_libdir/libartsdsp_st.so.*
%_libdir/libqtmcop.so.*
%_libdir/libx11globalcomm.so.*
%_libdir/libgmcop.so.*
%_libdir/libartsgslplayobject.so.*

#
#
%dir %_libdir/mcop/
%_libdir/mcop/*.mcopclass
%_libdir/mcop/*.mcoptype
#
%dir %_libdir/mcop/Arts
%_libdir/mcop/Arts/*.mcopclass


%files -n %{libname}-devel
%defattr(-,root,root,-)
%_libdir/libx11globalcomm.so

%dir %_includedir/arts/
%_includedir/arts/*.h
%_includedir/arts/*.idl
#
%dir %_includedir/artsc/
%_includedir/artsc/*.h
#
%dir %_includedir/arts/gsl/
%_includedir/arts/gsl/*.h

%_libdir/libartsc.so
%_libdir/libartscbackend.so
%_libdir/libartsdsp.so
%_libdir/libartsflow.so
%_libdir/libartsflow_idl.so
%_libdir/libartsgslplayobject.so
%_libdir/libartswavplayobject.so
%_libdir/libgmcop.so
%_libdir/libkmedia2.so
%_libdir/libkmedia2_idl.so
%_libdir/libsoundserver_idl.so
%_libdir/libmcop.so
%_libdir/libmcop_mt.so
%_libdir/libartsdsp_st.so
%_libdir/libqtmcop.so


%_bindir/artsc-config
%multiarch %{multiarch_bindir}/artsc-config
%_bindir/mcopidl





%changelog
* Mon Jun 19 2006 Vincent Danen <vdanen@mandriva.com> 1.4.2-2.1.20060mdk
- P6: security fix for CVE-2006-2916

* Mon Aug 01 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-08-01 01:37:24 (470)
- Disable debug now

* Thu Jul 21 2005 Laurent Montel <lmontel@mandriva.com
+ 2005-07-21 07:36:41 (384)
- 1.4.2

* Tue May 24 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-05-24 15:05:21 (12)
- Uploading package ./arts

%changelog
* Wed May 04 2005 Laurent MONTEL <lmontel@mandriva.com> 1.4.0-4mdk
- Rebuild with new gcc

* Fri Apr 22 2005 Laurent MONTEL <lmontel@mandriva.com> 1.4.0-3mdk
- Reactivate -fvisibility same as for ppc (ask by Christiaan Welvaart <cjw@daneel.dyndns.org>)

* Fri Apr 15 2005 Laurent MONTEL <lmontel@mandriva.com> 1.4.0-2mdk
- Change email
- Fix spec

* Tue Mar 29 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4.0-1mdk
- 1.4.0
- Reactive debug
- use --enable-new-ldflags

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-6mdk
- Disable debug

* Wed Jan 26 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-5mdk
- Don't link with contrib lib

* Wed Jan 26 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-4mdk
- Allow to disable visibility

* Sat Jan 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-3mdk
- Rebuild

* Thu Dec 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-2mdk
- Changes sources to activate -fvisibility (improvment of speed) 

* Tue Nov 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.2-1mdk
- 1.3.2

* Mon Nov 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-7mdk
- Fix package uploaded by Christiaan Welvaart (When we move a file
  we must create conflict otherwise we can't update version !)

* Sat Nov 27 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.3.1-6mdk
- move mcopidl to the -devel package

* Mon Nov 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-5mdk
- Remove requires on arts into libarts

* Tue Oct 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-4mdk
- Remove %%buildfor

* Fri Oct 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-3mdk
- Fix spec file

* Mon Oct 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-2mdk
- Fix spec file
- Fix mem leak

* Thu Oct 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-1mdk
- 1.3.1
- Fix spec file

* Thu Sep 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.0-2mdk
- Clean spec file

* Thu Sep 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.0-1mdk
- 1.3.0

* Wed Aug 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.3-8mdk
- Fix spec file (again)

* Tue Aug 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.3-7mdk
- Fix spec file

* Fri Aug 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.3-6mdk
- Remove debug

* Wed Aug 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.3-5mdk
- fix spec file

* Wed Jul 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.3-4mdk
- Remove rpath

* Thu Jul 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.3-3mdk
- Add explicite requires on libalsa => 1.0.5-2mdk for MDK 10.1 (fix all kdemultimedia crash and arts crash)

* Wed Jul 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.3-2mdk
- Rebuild

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.3-1mdk
- 1.2.3

* Thu Jun  3 2004 Montel Laurent <lmontel@mandrakesoft.com> 1.2.2-4mdk
- Rebuild

* Wed Jun 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-3mdk
- Fix spec file

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-2mdk
- Fix amd64 patch for artsdsp

* Mon Apr 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2

* Thu Apr 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-3mdk
- Rebuild with debug

* Tue Apr 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-2mdk
- Fix spec file for using rpmbuildupdate

* Fri Apr 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1

* Thu Feb 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-4mdk
- test %%configure
- Use mdkversion

* Thu Feb 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-3mdk
- Sync with CVS (apply patch to detect alsa)

* Wed Feb 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-2mdk
- Sync with CVS (Don't warn when not needed)

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-1mdk
- 1.2

* Fri Jan 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.94-4mdk
- Sync with CVS

* Mon Dec 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.94-3mdk
- Sync with CVS
- Add Gwenole patch

* Thu Dec 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.94-2mdk
- Rebuild with new glibc/xfree

* Mon Dec 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.94-1mdk
- beta2 from cvs

* Thu Nov 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.93-5mdk
- Sync with CVS

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.93-4mdk
- Fix provides

* Fri Nov 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.93-3mdk
- Fix requires

* Wed Nov 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.93-2mdk
- Fix test with mandrake_release

* Tue Oct 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.93-1mdk
- beta1

* Fri Oct 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.92-1mdk
- 1.1.92

* Sun Sep 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.91-2mdk
- Add support for MDK9.3
- Enable-debug
- Fix spec file

* Sun Sep 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.91-1mdk
- 1.1.91

* Thu Aug 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.3-7mdk
- Update code from CVS (Fix other crash)

* Thu Aug 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.3-6mdk
- Update code (fix crash)

* Wed Aug 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.3-5mdk
- Fix typo

* Wed Aug 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.3-4mdk
- Fix cputoolize

* Wed Aug 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.3-3mdk
- Fix Obsoletes

* Tue Aug 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.3-2mdk
- cputoolize, mklibname, buildrequires, fix amd64 build ( Gwenole Beauchesne <gbeauchesne@mandrakesoft.com>)

* Tue Jul 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.3-1mdk
- 1.1.3

* Tue Jul 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.2-8mdk
- Fix build on cooker (add autoconf2.5 automake1.7 Buildrequires) Bug reported by Gtz Waschk thanks:

* Tue Jul 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.2-7mdk
- Clean spec file

* Tue Jul 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.2-6mdk
- Fix requires

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.2-5mdk
- Rebuild

* Wed Jul 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.2-4mdk
- update code 

* Thu Jun 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.2-3mdk
- test

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.2-2mdk
- Fix spec file bug reported by David Walser

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.2-1mdk
- 1.1.2
- Various fixes because Stefan doesn't know how to test packages

* Fri May 16 2003 Stefan van der Eijk <stefan@eijk.nu> 1.1.1-5mdk
- commented out %%dir %%_bindir (belongs to filesystem)
- rebuild for new dependencies
- moved 2 .so$ files to -devel package
- Todo: BuildRequires that can go: XFree86-devel XFree86-libs diffutils
  freetype2 gawk gcc-cpp libMesaGLU1 libbinutils2 libbzip2_1 libjpeg62
  libmng1 libqt3 libstdc++-devel libtermcap2 zlib1

* Wed Apr 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-4mdk
- Add requires

* Mon Apr 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-3mdk
- Obsolete libarts-static-devel

* Wed Apr 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-2mdk
- Add buildfor9.2

* Thu Mar 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.1-1mdk
- arts-1.1.1

* Fri Mar 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-2mdk
- Add patch3: fix mem leak
- Add patch4: fix crash

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-1mdk
- kde3.1

* Tue Jan 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.rc6.3mdk
- Remove debug

* Wed Jan 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.rc6.2mdk
- Apply Gtz Waschk <waschk@informatik.uni-rostock.de> patch create static lib
for link with mplayer

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.rc6.1mdk
- rc6

* Tue Dec 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.rc5.4mdk
- Add patch2 : fix kdesu problem (kdesu konqueror doesn't work)

* Tue Dec 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.rc5.3mdk
- Remove buildconflict with libmad0 (now it's in main) 

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.rc5.2mdk
- Rc5
- Add patch1 : fix detect glib

* Tue Nov 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.rc3.2mdk
- Rebuild

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.rc3.1mdk
- rc3

* Sat Nov 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.rc2.3mdk
- Fix url thanks to "Yura Gusev" <elendal-sub@polygonized.com>

* Thu Nov 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.rc2.2mdk
- rebuild with fontconfig

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.rc2.1mdk
- rc2

* Tue Oct 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.rc1.1mdk
- RC1

* Mon Oct 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.beta2.4mdk
- Add buildconflict with libmad0

* Mon Oct 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.beta2.3mdk
- Fix group thanks to Titi

* Thu Oct 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.beta2.2mdk
- Fix spec file

* Wed Oct 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.0-0.beta2.1mdk
- 3.1-beta2

* Fri Oct 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.4-1mdk
- 3.0.4

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.3-7mdk
- Remove debuggage

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.3-6mdk
- Update code
- Remove debuggage

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.3-5mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.3-4mdk
- Rebuild against gcc-3.2

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.3-3mdk
- Automated rebuild with gcc3.2

* Wed Jul 24 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.3-2mdk
- Set QTDIR accordingly
- s/buildfor8_3/buildfor9_0/
- Search for qt/kde libraries in the right directories
- Ship *.so in -devel package. *.la should go there as well unless you
  know some other applications are sortof ltdlopen'ing arts libraries
- Rpmlint fixes: configure-without-libdir-spec, strange-permission

* Mon Jul 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.3-1mdk
- New version 1.0.3

* Wed Jul 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-2mdk
- Rebuild

* Sat Jun 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-1mdk
- kde3.0.2

* Tue Jun 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-13mdk
- Fix build requires bugs reported by Borsenkow Andrej <Andrej.Borsenkow@mow.siemens.ru>

* Thu Jun 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-12mdk
- Re-enable debug otherwise it's not easy to debug kde.

* Wed May 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-11mdk
- Fix buildrequires

* Tue May 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-10mdk
- Fix conflict

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-9mdk
- Fix epoch

* Mon May 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-8mdk
- Fix provides/obsoletes

* Sat May 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-7mdk
- Fix

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-6mdk
- Obsoletes libarts2 libarts2-devel

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-5mdk
- Fix obsoletes

* Wed May 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-3mdk
- Obsoletes all kde2.x appl

* Tue May 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-2mdk
- Fix spec file


* Fri May 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-1mdk
- kde3.0.1

* Thu May 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.0-6mdk
- kde3.0.1
- Obsolete kde2.x

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.0-5mdk
- Rebuild against gcc-3.1

* Fri May 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.0-4mdk
- Update code from KDE_3_0_BRANCH

* Sat Apr 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.0-3mdk
- Rebuild against libalsa2

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.0-2mdk
- Remove patch1, break sound compilation 
 Bug reported by Maks Orlovich <mo002j@mail.rochester.edu>


* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.0-1mdk
- arts 1.0.0 for kde3.0

* Mon Mar 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.9-2mdk
- Fix buildrequires for 8.1

* Thu Mar 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.9-1mdk
- kde3.0 rc3

* Sun Mar 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.5mdk
- Rebuild

* Sat Mar 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- First release

